// 2DControlWindow.cpp : implementation file
//

#include "stdafx.h"
#include "../TutorialApp.h"
#include "2DControlWindow.h"


// C2DControlWindow dialog

IMPLEMENT_DYNAMIC(C2DControlWindow, CDialog)

C2DControlWindow::C2DControlWindow(CWnd* pParent /*=NULL*/)
	: CDialog(C2DControlWindow::IDD, pParent)
  , m_ControlTeapot(FALSE)
  ,m_ControlShusui(FALSE)

{

}

C2DControlWindow::~C2DControlWindow()
{
}

void C2DControlWindow::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
  DDX_Check(pDX, IDC_CONTROL_SHUSUI, m_ControlShusui);
  DDX_Check(pDX, IDC_CONTROL_TEAPOT, m_ControlTeapot);
}


BEGIN_MESSAGE_MAP(C2DControlWindow, CDialog)
  ON_BN_CLICKED(IDC_CONTROL_SHUSUI, OnBnClickedControlShusui)
  ON_BN_CLICKED(IDC_CONTROL_TEAPOT, OnBnClickedControlTeapot)
END_MESSAGE_MAP()

// ProfileWindow message handlers
BOOL C2DControlWindow::OnInitDialog()
{
		CDialog::OnInitDialog();

    if (!m_2DView.Initialize(*this, IDC_2D_DRAW_PLACEHOLDER)) 
        return FALSE;

    return TRUE;
}

// C2DControlWindow message handlers

void C2DControlWindow::Draw2DWorld()
{
  m_2DView.DrawGraphics();
}
void C2DControlWindow::OnBnClickedControlShusui()
{
  UpdateData(TRUE);
  if (m_ControlShusui)
    theApp.Get2D().SetShusuiNode(theApp.GetModel().GetShusui());
  else
    theApp.Get2D().SetShusuiNode(NULL);
}

void C2DControlWindow::OnBnClickedControlTeapot()
{
  UpdateData(TRUE);
  if (m_ControlTeapot)
    theApp.Get2D().SetTeapotNode(theApp.GetModel().GetTeapot());
  else
    theApp.Get2D().SetTeapotNode(NULL);
}