#include "StdAfx.h"
#include "2DWindowhandler.h"
#include "../TutorialApp.h"


void TwoDWindowHandler::OnMouseButton(bool down, unsigned int nFlags, int hwX, int hwY)
{
  
  // if(nFlags & MK_CONTROL) key = "[CTRL]";
  // if(nFlags & MK_SHIFT)   key += "[SHIFT]";

  if (down)
  {
    if(nFlags & MK_LBUTTON) 
    {
      int deviceX, deviceY;
      float wcX, wcY;
      HardwareToDevice(hwX, hwY, deviceX, deviceY);
      UWB_WindowHandler::DeviceToWorld(deviceX, deviceY, wcX, wcY);
      CString msg;
      //left button was pressed of released
      msg.Format(L"TwoD Window WC(%f %f)", wcX, wcY);
      UWB_EchoToStatusArea(msg);
      theApp.Get2D().SelectPosition(wcX, wcY);
    }
  }
  
}

void TwoDWindowHandler::OnMouseMove(unsigned int nFlags, int hwX, int hwY)
{
  // if(nFlags & MK_CONTROL) key = "[CTRL]";
  // if(nFlags & MK_SHIFT)   key += "[SHIFT]";
  
  if(nFlags & MK_LBUTTON)
  {
    int deviceX, deviceY;
    float wcX, wcY;
    HardwareToDevice(hwX, hwY, deviceX, deviceY);
    UWB_WindowHandler::DeviceToWorld(deviceX, deviceY, wcX, wcY);
    CString msg;
    msg.Format(L"TwoD Window WC(%f %f)", wcX, wcY);
    UWB_EchoToStatusArea(msg);
    theApp.Get2D().MoveSelectionTo(wcX, wcY);
  }
}