#pragma once

class TwoDWorld
{

public:
	TwoDWorld();   // standard constructor
	virtual ~TwoDWorld();

  void Draw2D();

  float GetTop() { return 15.0f; }
  float GetLeft() { return 15.0f; }

  void SetTeapotNode(UWB_SceneNode *t) { m_pTeapotNode = t; }
  void SetShusuiNode(UWB_SceneNode *s) { m_pShusuiNode = s; }
  void SetTigerNode(UWB_SceneNode *t) { m_pTigerNode = t; }

  void SelectPosition(float x, float y);
  void MoveSelectionTo(float x, float y);

private:

  void DrawNode(UWBD3D_DrawHelper &dh, UWB_SceneNode *n);
  float DistanceToNode(vec3 p, UWB_SceneNode *n);

  UWB_SceneNode *m_pTeapotNode;
  UWB_SceneNode *m_pShusuiNode;
  UWB_SceneNode *m_pTigerNode;
  UWB_SceneNode *m_Selected;
};
