#include "uwbgl_D3DTextureResource1.h"

UWBD3D_TextureResource::UWBD3D_TextureResource()
: m_pTexture( NULL )
{
}

UWBD3D_TextureResource::~UWBD3D_TextureResource() 
{
  ReleaseMemory();
}

void UWBD3D_TextureResource::ReleaseMemory()
{
  __super::ReleaseMemory();
  
  if ( m_pTexture)
      m_pTexture->Release();
  m_pTexture = NULL;
}


// Load the mesh (in D3D .x format) and store into the buffer of the device
bool UWBD3D_TextureResource::LoadResourceFromFile(const wchar_t* fullPathName)
{
  if( FAILED( D3DXCreateTextureFromFile(m_pDevice, fullPathName, &m_pTexture ) ) )
      return false;
  return true;
}