#pragma once
#include "../Resource.h"
#include "2DWindowHandler.h"

// C2DControlWindow dialog

class C2DControlWindow : public CDialog
{
	DECLARE_DYNAMIC(C2DControlWindow)

public:
	C2DControlWindow(CWnd* pParent = NULL);   // standard constructor
	virtual ~C2DControlWindow();

// Dialog Data
	enum { IDD = IDD_2DCONTROL_WORLD };

  void Draw2DWorld();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

  TwoDWindowHandler m_2DView;
  BOOL              m_ControlTeapot;
  BOOL              m_ControlShusui;

public:
  afx_msg void OnBnClickedControlShusui();
  afx_msg void OnBnClickedControlTeapot();
};
