#include "StdAfx.h"
#include "Model.h"

void CModel::ComputeTigerPosition()
{
  UWB_XformInfo xf = m_pTigerNode->GetXformInfo();
  mat3 tigerM = xf.GetRotation();
  vec3 tigerFront(0,0,-1);

  vec3 currentFront = tigerFront * tigerM;

  float tigerSpeed = 0.4f; // 0.4 unit per second
  vec3 tigerVelocity = currentFront * tigerSpeed;

  m_pTigerNode->SetVelocity( tigerVelocity );
  m_pTigerNode->MoveNodeByVelocity( 1.0f/40.0f );
}